.mega {

:where(.sqs-block-summary-v2) {
  /* Text */
  --summary-title-font-size: 14px;
  --summary-excerpt-font-size: 14px;
  --summary-text-align: left;

  /* List layout */
  --summary-list-image-float: left;
  --summary-list-thumbnail-padding-left: 0;
  --summary-list-thumbnail-padding-right: 20px;
  --summary-list-qv-padding-left: 0;
  --summary-list-qv-padding-right: 20px;
  --summary-list-product-mark-left: 0;
  --summary-list-product-mark-right: auto;

  /* Metadata position */
  --summary-meta-above-display: none;
  --summary-meta-below-title-display: none;
  --summary-meta-below-content-display: block;

  /* Content visibility */
  --summary-show-title: block;
  --summary-show-thumbnail: block;
  --summary-show-excerpt: none;
  /* Set to -webkit-box on Lessons collections that need the 3-line clamp */
  --summary-show-excerpt-clamped: none;
  --summary-show-price: block;
  --summary-show-read-more-link: none;

  /* Spacing */
  --summary-content-spacing: 2px;
}


/* --------------------------------------------------------------------------
   Base
   -------------------------------------------------------------------------- */
.sqs-block-summary-v2 * {
  box-sizing: border-box;
}

.sqs-block-summary-v2 .summary-thumbnail-outer-container {
  position: relative;
}

.sqs-block-summary-v2 .summary-heading {
  display: none;
  margin: 0 0 15px 0;
  padding-right: 10px;
  font-size: 14px;
  line-height: normal;
}

.sqs-block-summary-v2 .summary-carousel-pager {
  display: none;
}

.sqs-block-summary-v2 .summary-item-list {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.sqs-block-summary-v2 .summary-item {
  visibility: hidden;
}

.sqs-block-summary-v2 .summary-item.positioned {
  visibility: visible;
}

.sqs-style-mode-active
  .sqs-block-summary-v2
  .is-product-quick-view-enabled
  .summary-item:first-child
  .sqs-product-quick-view-button-wrapper {
  opacity: 1;
}

.sqs-style-mode-active
  .sqs-block-summary-v2
  .is-product-quick-view-enabled
  .summary-item:first-child
  .sqs-product-mark-wrapper {
  opacity: 0;
}


/* --------------------------------------------------------------------------
   Thumbnails and media
   -------------------------------------------------------------------------- */
.sqs-block-summary-v2 .summary-thumbnail-container {
  position: relative;
  display: block;
  margin: 0;
}

.sqs-block-summary-v2 .summary-thumbnail-container:hover {
  opacity: 1 !important;
}

.sqs-block-summary-v2 .img-wrapper {
  position: relative;
  width: 100%;
  height: auto;
}

.sqs-block-summary-v2 .img-wrapper img {
  opacity: 0;
  display: block;
  width: 100%;
  height: auto;
  font-size: 13px;
  line-height: normal;
  transition: opacity 0.6s ease;
}

.sqs-block-summary-v2 .img-wrapper img.loaded {
  opacity: 1;
}

.sqs-block-summary-v2 .img-wrapper img:not(.loaded) .sqs-product-mark-wrapper,
.sqs-block-summary-v2 .img-wrapper img:not(.loaded) .sqs-product-quick-view-button-wrapper {
  opacity: 0 !important;
}

.sqs-block-summary-v2 .sqs-video-wrapper {
  position: relative;
  width: 100%;
  height: auto;
}

.sqs-block-summary-v2 .sqs-video-wrapper .sqs-video-overlay img {
  display: block;
  position: absolute !important;
  top: 0 !important;
  left: 0 !important;
  width: 100% !important;
  height: 100% !important;
  object-fit: cover;
}


/* --------------------------------------------------------------------------
   Products
   -------------------------------------------------------------------------- */
.sqs-block-summary-v2 .summary-product-status .product-mark {
  position: absolute;
  top: 15px;
  right: 0;
  padding: 6px 8px;
  background: #222;
  color: #fff;
  font-size: 14px;
  line-height: 14px;
  text-transform: uppercase;
  -webkit-font-smoothing: antialiased;
  box-sizing: content-box;
}


/* --------------------------------------------------------------------------
   Events
   -------------------------------------------------------------------------- */
.sqs-block-summary-v2 .summary-thumbnail-event-date {
  display: none;
  position: absolute;
  top: 10px;
  right: 10px;
  height: 50px;
  width: 50px;
  padding: 3px;
  background: white;
  text-align: center;
  box-sizing: content-box;
}

.sqs-block-summary-v2 .summary-thumbnail-event-date-inner {
  display: table-cell;
  vertical-align: middle;
}

.sqs-block-summary-v2 .summary-thumbnail-event-date-month {
  display: block;
  color: #333;
  font-size: 14px;
  line-height: 14px;
  text-transform: uppercase;
}

.sqs-block-summary-v2 .summary-thumbnail-event-date-day {
  display: block;
  color: #333;
  font-size: 26px;
  line-height: 26px;
}

.sqs-block-summary-v2 .summary-item-record-type-event .summary-thumbnail-event-date {
  display: table;
}

.sqs-block-summary-v2 .event-time-12hr {
  display: none;
}

.sqs-block-summary-v2 .event-time-localized {
  display: inline;
}


/* --------------------------------------------------------------------------
   Content
   -------------------------------------------------------------------------- */
.sqs-block-summary-v2 .summary-content {
  text-align: left;
}

.sqs-block-summary-v2 .summary-title {
  margin: 0 0 10px 0;
  font-size: 20px;
  line-height: 1.2em;
  text-align: left;
}

.sqs-block-summary-v2 .summary-price {
  margin: 0 0 10px 0;
}

.sqs-block-summary-v2 .summary-price .product-price {
  font-size: 14px;
  line-height: 20px;
  text-align: left;
}

.sqs-block-summary-v2 .summary-price .product-price .original-price {
  opacity: 0.7;
  filter: alpha(opacity=70);
  text-decoration: line-through;
}

.sqs-block-summary-v2 .product-scarcity {
  font-size: 14px;
  line-height: 20px;
  text-align: left;
  margin: 0 0 10px 0;
  color: #000000;
}

.sqs-block-summary-v2 .summary-excerpt {
  margin: 0 0 10px 0;
}

.sqs-block-summary-v2 .summary-excerpt p,
.sqs-block-summary-v2 .summary-excerpt ul,
.sqs-block-summary-v2 .summary-excerpt li {
  font-size: 14px;
  line-height: 1.4em;
  margin: 0 0 10px 0;
  text-align: left;
}

.sqs-block-summary-v2 .summary-excerpt p:first-of-type,
.sqs-block-summary-v2 .summary-excerpt ul:first-of-type,
.sqs-block-summary-v2 .summary-excerpt li:first-of-type {
  margin-top: 0 !important;
}

.sqs-block-summary-v2 .summary-excerpt p:last-of-type,
.sqs-block-summary-v2 .summary-excerpt ul:last-of-type,
.sqs-block-summary-v2 .summary-excerpt li:last-of-type {
  margin-bottom: 0 !important;
}

.sqs-block-summary-v2 .summary-excerpt > blockquote p {
  font-size: inherit;
  line-height: inherit;
  margin: inherit;
  text-align: inherit;
}

.sqs-block-summary-v2 .summary-excerpt > blockquote p:first-of-type {
  margin-top: inherit;
}

.sqs-block-summary-v2 .summary-excerpt > blockquote p:last-of-type {
  margin-bottom: inherit;
}

.sqs-block-summary-v2 .summary-hide-description {
  display: none !important;
}

.sqs-block-summary-v2 .summary-block-collection-type-lessons .summary-excerpt {
  display: var(--summary-show-excerpt-clamped, -webkit-box);
  overflow: hidden;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  line-clamp: 3;
}

.sqs-block-summary-v2 .summary-read-more-link {
  display: none;
  margin: 0 0 10px 0;
  font-size: 14px;
  line-height: 20px;
  text-align: left;
}


/* --------------------------------------------------------------------------
   Metadata display
   -------------------------------------------------------------------------- */
.sqs-block-summary-v2 .summary-metadata-container {
  display: none;
  font-size: 13px;
  line-height: normal;
}

.sqs-block-summary-v2 .summary-block-wrapper .summary-metadata-container--above-title {
  display: var(--summary-meta-above-display, none);
}

.sqs-block-summary-v2 .summary-block-wrapper .summary-metadata-container--below-title {
  display: var(--summary-meta-below-title-display, none);
}

.sqs-block-summary-v2 .summary-block-wrapper .summary-metadata-container--below-content {
  display: var(--summary-meta-below-content-display, none);
}

.sqs-block-summary-v2 .summary-block-setting-primary-metadata-date .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-date .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-event-time .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-event-time .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-cats .summary-item-has-cats .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-cats .summary-item-has-cats .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-tags .summary-item-has-tags .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-tags .summary-item-has-tags .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-author .summary-item-has-author .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-author .summary-item-has-author .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-comments .summary-item-has-comments-enabled .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-comments .summary-item-has-comments-enabled .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-location .summary-item-has-location .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-location .summary-item-has-location .summary-metadata-container--above-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-date .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-date .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-event-time .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-event-time .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-cats .summary-item-has-cats .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-cats .summary-item-has-cats .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-tags .summary-item-has-tags .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-tags .summary-item-has-tags .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-author .summary-item-has-author .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-author .summary-item-has-author .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-comments .summary-item-has-comments-enabled .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-comments .summary-item-has-comments-enabled .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-location .summary-item-has-location .summary-metadata-container--below-title,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-location .summary-item-has-location .summary-metadata-container--below-title {
  margin: 0 0 var(--summary-content-spacing, 10px) 0;
}

.sqs-block-summary-v2 .summary-metadata {
  display: none;
}

.sqs-block-summary-v2 .summary-block-setting-primary-metadata-date .summary-metadata--primary,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-event-time .summary-metadata--primary,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-cats .summary-item-has-cats .summary-metadata--primary,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-tags .summary-item-has-tags .summary-metadata--primary,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-author .summary-item-has-author .summary-metadata--primary,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-comments .summary-item-has-comments-enabled .summary-metadata--primary,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-location .summary-item-has-location .summary-metadata--primary {
  display: inline-block;
}

.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-date .summary-metadata--secondary,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-event-time .summary-metadata--secondary,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-cats .summary-item-has-cats .summary-metadata--secondary,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-tags .summary-item-has-tags .summary-metadata--secondary,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-author .summary-item-has-author .summary-metadata--secondary,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-comments .summary-item-has-comments-enabled .summary-metadata--secondary,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-location .summary-item-has-location .summary-metadata--secondary {
  display: inline-block;
}

.sqs-block-summary-v2 .summary-metadata-item {
  display: none;
  opacity: 0.7;
  margin: 0;
  font-size: 13px;
  line-height: 1.4em;
  text-transform: none;
}

.sqs-block-summary-v2 .summary-metadata-item a,
.sqs-block-summary-v2 .summary-metadata-item a:hover {
  opacity: 1;
  text-decoration: none;
}

.sqs-block-summary-v2 .summary-block-setting-primary-metadata-date .summary-metadata--primary .summary-metadata-item--date,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-event-time .summary-metadata--primary .summary-metadata-item--event-time,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-cats .summary-item-has-cats .summary-metadata--primary .summary-metadata-item--cats,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-tags .summary-item-has-tags .summary-metadata--primary .summary-metadata-item--tags,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-author .summary-item-has-author .summary-metadata--primary .summary-metadata-item--author,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-comments .summary-item-has-comments-enabled .summary-metadata--primary .summary-metadata-item--comments,
.sqs-block-summary-v2 .summary-block-setting-primary-metadata-location .summary-item-has-location .summary-metadata--primary .summary-metadata-item--location {
  display: inline-block;
}

.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-date .summary-metadata--secondary .summary-metadata-item--date,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-event-time .summary-metadata--secondary .summary-metadata-item--event-time,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-cats .summary-item-has-cats .summary-metadata--secondary .summary-metadata-item--cats,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-tags .summary-item-has-tags .summary-metadata--secondary .summary-metadata-item--tags,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-author .summary-item-has-author .summary-metadata--secondary .summary-metadata-item--author,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-comments .summary-item-has-comments-enabled .summary-metadata--secondary .summary-metadata-item--comments,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-location .summary-item-has-location .summary-metadata--secondary .summary-metadata-item--location {
  display: inline-block;
}

.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-date .summary-metadata--primary .summary-metadata-item:after,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-event-time .summary-metadata--primary .summary-metadata-item:after,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-cats .summary-item-has-cats .summary-metadata--primary .summary-metadata-item:after,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-tags .summary-item-has-tags .summary-metadata--primary .summary-metadata-item:after,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-author .summary-item-has-author .summary-metadata--primary .summary-metadata-item:after,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-comments .summary-item-has-comments-enabled .summary-metadata--primary .summary-metadata-item:after,
.sqs-block-summary-v2 .summary-block-setting-secondary-metadata-location .summary-item-has-location .summary-metadata--primary .summary-metadata-item:after {
  content: " ·";
  margin: 0 0.3em;
}


/* --------------------------------------------------------------------------
   Text size and alignment
   -------------------------------------------------------------------------- */
.sqs-block-summary-v2 .summary-block-wrapper .summary-title {
  font-size: var(--summary-title-font-size, 14px);
}

.sqs-block-summary-v2 .summary-block-wrapper .summary-excerpt p {
  font-size: var(--summary-excerpt-font-size, 14px);
}

.sqs-block-summary-v2 .summary-block-wrapper .summary-title,
.sqs-block-summary-v2 .summary-block-wrapper .summary-price .product-price,
.sqs-block-summary-v2 .summary-block-wrapper .summary-excerpt p,
.sqs-block-summary-v2 .summary-block-wrapper .summary-read-more-link,
.sqs-block-summary-v2 .summary-block-wrapper .summary-content {
  text-align: var(--summary-text-align, left);
}


/* --------------------------------------------------------------------------
   Content visibility
   -------------------------------------------------------------------------- */
.sqs-block-summary-v2 .summary-block-wrapper .summary-title {
  display: var(--summary-show-title, block);
}

.sqs-block-summary-v2 .summary-block-wrapper .summary-price,
.sqs-block-summary-v2 .summary-block-wrapper .product-scarcity {
  display: var(--summary-show-price, block);
}

.sqs-block-summary-v2 .summary-block-wrapper .summary-excerpt {
  display: var(--summary-show-excerpt, block);
}

.sqs-block-summary-v2 .summary-item-record-type-text .summary-read-more-link {
  display: var(--summary-show-read-more-link, none);
}

.sqs-block-summary-v2 .summary-block-wrapper .summary-item-record-type-video .summary-thumbnail-container,
.sqs-block-summary-v2 .summary-block-wrapper .summary-thumbnail-outer-container {
  display: var(--summary-show-thumbnail, block);
}


/* --------------------------------------------------------------------------
   Spacing
   -------------------------------------------------------------------------- */
.sqs-block-summary-v2 .summary-block-setting-show-title .summary-thumbnail-container,
.sqs-block-summary-v2 .summary-block-setting-show-price .summary-item-record-type-store-item .summary-thumbnail-container,
.sqs-block-summary-v2 .summary-block-setting-show-excerpt .summary-thumbnail-container,
.sqs-block-summary-v2 .summary-block-wrapper:not(.summary-block-setting-primary-metadata-none) .summary-thumbnail-container,
.sqs-block-summary-v2 .summary-block-wrapper:not(.summary-block-setting-secondary-metadata-none) .summary-thumbnail-container {
  margin: 0 0 15px 0;
}

.sqs-block-summary-v2 .summary-block-wrapper .summary-title,
.sqs-block-summary-v2 .summary-block-wrapper .summary-price {
  margin: 0 0 var(--summary-content-spacing, 10px) 0;
}


/* --------------------------------------------------------------------------
   List layout
   -------------------------------------------------------------------------- */
.sqs-block-summary-v2 .summary-block-setting-design-list .summary-item {
  visibility: visible !important;
  margin-bottom: 17px !important;
  padding-bottom: 17px !important;
  overflow: hidden;
}

.sqs-block-summary-v2 .summary-block-setting-design-list .summary-item.summary-item-show-thumbnail {
  margin-bottom: 17px !important;
  padding-bottom: 17px !important;
}

.sqs-block-summary-v2 .summary-block-setting-design-list .summary-item .summary-thumbnail-container {
  margin: 0 !important;
}

.sqs-block-summary-v2 .summary-block-setting-design-list .summary-item:not(.summary-item-record-type-video) .summary-thumbnail-container {
  width: 100% !important;
}

.sqs-block-summary-v2 .summary-block-setting-design-list .summary-item.summary-item-record-type-video .summary-thumbnail-container,
.sqs-block-summary-v2 .summary-block-setting-design-list .summary-thumbnail-outer-container {
  float: left;
}

@media screen and (max-width: 640px) {
  .sqs-block-summary-v2 .summary-block-setting-design-list .summary-item.summary-item-record-type-video .summary-thumbnail-container,
  .sqs-block-summary-v2 .summary-block-setting-design-list .summary-thumbnail-outer-container {
    width: 35% !important;
  }
}

.sqs-block-summary-v2 .summary-block-setting-design-list .summary-item .summary-thumbnail-container .sqs-video-wrapper img {
  max-width: 100%;
  object-fit: contain;
  position: static !important;
}

@media screen and (max-width: 640px) {
  .sqs-block-summary-v2 .summary-block-setting-design-list .summary-item .summary-thumbnail-container .sqs-video-wrapper img {
    height: auto;
    position: static;
    width: 100% !important;
  }
}

/* Image alignment */
.sqs-block-summary-v2 .summary-block-setting-design-list .summary-item-record-type-video .summary-thumbnail-container,
.sqs-block-summary-v2 .summary-block-setting-design-list .summary-thumbnail-outer-container {
  float: var(--summary-list-image-float, left);
}

.sqs-block-summary-v2 .summary-block-setting-design-list .summary-thumbnail-container {
  padding: 0 var(--summary-list-thumbnail-padding-right, 20px) 0 var(--summary-list-thumbnail-padding-left, 0);
}

.sqs-block-summary-v2 .summary-block-setting-design-list .sqs-product-quick-view-button-wrapper {
  padding-left: var(--summary-list-qv-padding-left, 0);
  padding-right: var(--summary-list-qv-padding-right, 20px);
}

/* Products in list layout */
.sqs-block-summary-v2 .summary-block-setting-design-list .summary-item-record-type-store-item .product-mark {
  left: var(--summary-list-product-mark-left, 0);
  right: var(--summary-list-product-mark-right, auto);
}

/* Events in list layout */
.sqs-block-summary-v2 .summary-block-setting-design-list .summary-item-record-type-event .summary-thumbnail-event-date {
  display: none;
}


/* --------------------------------------------------------------------------
   Carousel layout
   -------------------------------------------------------------------------- */
.sqs-block-summary-v2 .summary-block-setting-design-carousel .summary-carousel-pager {
  display: flex;
  justify-content: flex-end;
  float: right;
  width: 50px;
}

.sqs-block-summary-v2 .summary-block-setting-design-carousel .summary-block-header {
  overflow: hidden;
}

.sqs-block-summary-v2 .summary-block-setting-design-carousel .summary-heading {
  display: block;
  float: left;
  width: calc(100% - 50px);
}

.sqs-block-summary-v2 .summary-block-setting-design-carousel .summary-collection-title {
  display: none;
}

.sqs-block-summary-v2 .summary-block-setting-design-carousel .summary-item:not(.positioned) {
  visibility: visible;
}


/* --------------------------------------------------------------------------
   Mobile
   -------------------------------------------------------------------------- */
@media screen and (max-width: 700px) {
  .sqs-block-summary-v2 .summary-product-quick-view {
    display: none;
  }
}

}